# Generated by Django 3.2.4 on 2021-07-23 19:48

import django.contrib.sites.managers
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('reversion', '0001_squashed_0004_auto_20160611_1202'),
        ('sites', '0002_alter_domain_unique'),
        ('chronos', '0008_unique_constraints'),
    ]

    operations = [
        migrations.CreateModel(
            name='AutomaticPlan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extended_data', models.JSONField(default=dict, editable=False)),
                ('slug', models.SlugField(help_text='This will be used for the name of the PDF file with the generated plan.', verbose_name='Slug')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('number_of_days', models.PositiveIntegerField(default=1, validators=[django.core.validators.MinValueValidator(1)], verbose_name='Number of days shown in the plan')),
                ('show_header_box', models.BooleanField(default=True, help_text='The header box shows affected teachers/groups.', verbose_name='Show header box')),
                ('last_update', models.DateTimeField(blank=True, null=True, verbose_name='Date and time of the last update')),
                ('last_update_triggered_manually', models.BooleanField(default=False, verbose_name='Was the last update triggered manually?')),
                ('current_file', models.FileField(blank=True, null=True, upload_to='chronos/plan_pdfs/', verbose_name='Current file')),
                ('last_revision', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='reversion.revision', verbose_name='Revision which triggered the last update')),
                ('site', models.ForeignKey(default=1, editable=False, on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
            options={
                'verbose_name': 'Automatic plan',
                'verbose_name_plural': 'Automatic plans',
            },
            managers=[
                ('objects', django.contrib.sites.managers.CurrentSiteManager()),
            ],
        ),
        migrations.AddConstraint(
            model_name='automaticplan',
            constraint=models.UniqueConstraint(fields=('site_id', 'slug'), name='site_slug'),
        ),
    ]
